/*هدر*/

/*1.نوار اسکرول بار*/
/* تغییر اسکرول‌بار در کروم، اج و اپرا */
::-webkit-scrollbar {
    width: 30px; /* پهنای اسکرول‌بار */
}

::-webkit-scrollbar-track {
    background: #F2F2F2; /* رنگ پس‌زمینه‌ی اسکرول‌بار */
}

::-webkit-scrollbar-thumb {
    background: #287BFF; /* رنگ خود اسکرول‌بار */
    border-radius: 8px; /* گرد کردن گوشه‌ها */
}

::-webkit-scrollbar-thumb:hover {
    background: #043CCC; /* تغییر رنگ هنگام هاور */
}

/* تغییر رنگ اسکرول‌بار در فایرفاکس */
* {
    scrollbar-color: #287BFF #F2F2F2; /* رنگ نوار اسکرول و پس‌زمینه */
    scrollbar-width: thick; /* ضخیم‌تر کردن اسکرول‌بار */
}

/* تغییر رنگ اسکرول‌بار در اینترنت اکسپلورر و نسخه‌های قدیمی اج */
body {
    -ms-overflow-style: none; /* مخفی کردن اسکرول‌بار در IE */
}
/* کد اسکرول نرم وب سایت */
html {
    scroll-behavior: smooth;
}
.mk-j-logo:hover {
    animation: energy 0.5s infinite;
}

@keyframes energy {
    0% {
        transform: scale(1, 1);
    }
    25% {
        transform: scale(0.9, 1.1);
    }
    50% {
        transform: scale(1.2, 0.8);
    }
    75% {
        transform: scale(0.95, 1.05);
    }
}

.mk-j-logo img {
    -webkit-mask: linear-gradient(-60deg, #000 30%, #0005, #000 50%) right / 300% 100%;
    mask: linear-gradient(-60deg, #000 30%, #0005, #000 50%) right / 300% 100%;
    animation: nsshine 3s infinite;
}

@keyframes nsshine {
    0% {
        -webkit-mask-position: 140% 140%;
        mask-position: 140% 140%;
    }
    100% {
        -webkit-mask-position: -20% -20%;
        mask-position: -20% -20%;
    }
}
.mk-list-social li.elementor-icon-list-item.elementor-inline-item {
    display: flex;
    flex-direction: row-reverse;
    align-content: center;
    align-items: flex-start;
    justify-content: center;
}

/*سبد خرید خالی*/

.woocommerce-mini-cart__empty-message {
background-image: url(https://juiceha.ir/wp-content/uploads/2026/04/Mask-group-1.webp);
height: 100%;
background-repeat: no-repeat;
background-size: contain;
background-position: center;
}


/*بدنه*/

.smoke span{
    cursor: default;
    position: relative;
    display: inline-block;
    /*سایز متن*/
    font-size: 35px;
}
.smoke span.active{
    animation: smoke 1s linear;
}
@keyframes smoke{
    50%{
        opacity: 1;
    }
    100%{
        opacity: 0;
        filter: blur(20px);
        transform: translateX(300px) translateY(-300px) rotate(360deg) scale(4);
    }
}
.smoke span.back{
    opacity: 0;
    filter: blur(20px);
    animation: back 1s linear 0.5s;
}
@keyframes back{
    100%{
        opacity: 1;
        filter: blur(0);
    }
}
@media (max-width:767px){
.smoke span{
font-size:24px!important;
}
}


/*فوتر*/


/* دایره محو بنفش */
.background-mk::after {
  content: "";
  position: absolute;
  width: 60px;
  height: 60px;
  border-radius: 50%;

  background: #0147B7;
  filter: blur(20px);

  opacity: 1;

  /* مرکز عمودی */
  top: 50%;
  transform: translateY(-50%);

  /* شروع از چپ */
  left: 6%;

  animation: horizontal-pingpong 9s infinite ease-in-out;
}

/* انیمیشن چپ ↔ راست */
@keyframes horizontal-pingpong {
  0% {
    left: 6%;
  }
  50% {
    left: 78%;
  }
  100% {
    left: 6%;
  }
}
.nias-login-fastsell-modal-content {
    font-family: 'ایران سنس';
}